﻿
@model WIKIPRJ.ViewModels.GroupDocuments

@helper ShowTree(long id)
{
var parentmenu = Model.Groups.Where(p => p.ParentID == id);
if (parentmenu != null && parentmenu.Count() > 0)
{
        <ul>

            @foreach (var item in parentmenu)
            {
                <li>
                    @Html.ActionLink(item.DisplayGroupName, actionName: "GroupDocuments", controllerName: "Groups", routeValues: new { id = item.ID/*, groupname = item.GroupName */}, htmlAttributes: null)
                    @ShowTree(item.ID)
                </li>
            }

        </ul>
}
}
@{
    ViewBag.Title = "نمایش لیست منویی گروهها";
    Layout = "~/Views/Shared/_GroupLayout.cshtml";
}
<script type="text/javascript">
    ava.load({
        menuid: "ava1",
        entrytime: 100,
        outtime: 100
    })
</script>

<h2>@Caption.GroupDocuments</h2>





<div id="ava1">
    @ShowTree(0)
</div>
@{ if (Model.Documents.Count > 0)
    {
        <table class="table table-hover">
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().ID)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().Group.GroupName)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().Title)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().KeyWord)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().Date_Doc)
                </th>
            </tr>

            @foreach (var item in Model.Documents)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.ID)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Group.DisplayGroupName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DisplayTitle)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DisplayKeyWord)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Date_Doc)
                    </td>
                    <td>
                        @Html.ActionLink(@Caption.Context, "Context", "Documents", new { id = item.ID }, null) |
                        @Html.ActionLink(@Caption.Edit, "Edit", new { id = item.ID }) |
                        @*@Html.ActionLink(@Caption.Details, "Details", new { id=item.ID }) |*@
                        @Html.ActionLink(@Caption.Delete, "Delete", new { id = item.ID }) |
                        @Html.ActionLink(@Caption.Attachment, "Create", "Attachments", new { id = item.ID }, null)
                    </td>
                </tr>
            }

        </table>
    }
}